package assertions;

import domain.*;

public class ISA {
	private AtomicConcept sx;
	private AtomicConcept dx;
	
	public ISA(AtomicConcept sx, AtomicConcept dx) {
		super();
		this.sx = sx;
		this.dx = dx;
	}

	public AtomicConcept getSx() {
		return sx;
	}

	public void setSx(AtomicConcept sx) {
		this.sx = sx;
	}

	public AtomicConcept getDx() {
		return dx;
	}

	public void setDx(AtomicConcept dx) {
		this.dx = dx;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((dx == null) ? 0 : dx.hashCode());
		result = prime * result + ((sx == null) ? 0 : sx.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ISA other = (ISA) obj;
		if (dx == null) {
			if (other.dx != null)
				return false;
		} else if (!dx.equals(other.dx))
			return false;
		if (sx == null) {
			if (other.sx != null)
				return false;
		} else if (!sx.equals(other.sx))
			return false;
		return true;
	}
	
	
}
