package assertions;

import java.util.Collection;

import domain.*;

public class IdentificationAssertion {
	private BasicConcept concept;
	private Collection<AtomicConceptAttribute> idlist_attr;
	private Collection<BasicRole> idlist_role;
	
	public IdentificationAssertion(BasicConcept concept,
			Collection<AtomicConceptAttribute> idlist_attr,
			Collection<BasicRole> idlist_role) {
		super();
		this.concept = concept;
		this.idlist_attr = idlist_attr;
		this.idlist_role = idlist_role;
	}
	
	
	
	public BasicConcept getConcept() {
		return concept;
	}



	public void setConcept(BasicConcept concept) {
		this.concept = concept;
	}



	public Collection<AtomicConceptAttribute> getIdlist_attr() {
		return idlist_attr;
	}



	public void setIdlist_attr(Collection<AtomicConceptAttribute> idlist_attr) {
		this.idlist_attr = idlist_attr;
	}



	public Collection<BasicRole> getIdlist_role() {
		return idlist_role;
	}



	public void setIdlist_role(Collection<BasicRole> idlist_role) {
		this.idlist_role = idlist_role;
	}



	public String toString() {
		return "(id "+concept+" "+idlist_attr+idlist_role+")";
	}
	
}
