package domain;

public class NegatedConceptAttribute extends GeneralConceptAttribute {
	private AtomicConceptAttribute uc;

	public NegatedConceptAttribute(AtomicConceptAttribute uc) {
		super();
		this.uc = uc;
	}

	public AtomicConceptAttribute getConceptAttribute() {
		return uc;
	}

	public void setConceptAttribute(AtomicConceptAttribute uc) {
		this.uc = uc;
	}
	
	public String toString() {
		return "NOT("+uc+")";
	}
	

}
