package domain;

public class NegatedRoleAttribute extends GeneralRoleAttribute {
	private AtomicRoleAttribute ur;

	public NegatedRoleAttribute(AtomicRoleAttribute ur) {
		super();
		this.ur = ur;
	}

	public AtomicRoleAttribute getRoleAttribute() {
		return ur;
	}

	public void setRoleAttribute(AtomicRoleAttribute ur) {
		this.ur = ur;
	}
	
	public String toString() {
		return "NOT("+ur+")";
	}
	
}
